using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts.TouristBusinessLogicsContracts
{
    public interface IPlaceLogic
    {
        List<PlaceViewModel>? ReadList(PlaceSearchModel? model);
        PlaceViewModel? ReadElement(PlaceSearchModel model);
        bool Create(PlaceBindingModel model);
        bool Update(PlaceBindingModel model);
        bool Delete(PlaceBindingModel model);
    }
}
